# syspatch – Manage OpenBSD system patches

New in version 2.9.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Manage OpenBSD system patches using syspatch

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
apply - | Default: "no" | Apply all available system patches

revert
string

Choices:
- all
- one

Revert system patches

## Examples

    - name: Apply all available system patches
      syspatch:
        apply: true

    - name: Revert last patch
      syspatch:
        revert: one

    - name: Revert all patches
      syspatch:
        revert: all

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
rc integer | always | The command return code (0 means success)
reboot_needed boolean | always | Whether or not a reboot is required after an update Sample: True
stderr string | always | syspatch standard error Sample: syspatch: need root privileges
stdout string | always | syspatch standard output Sample: 001_rip6cksum

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Andrew Klaus (@precurse)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.